oasis.names.tc.saml._2_0.protocol

## Class ArtifactResolve

- java.lang.Object
- - oasis.names.tc.saml._2_0.protocol.RequestAbstractType
  - - oasis.names.tc.saml._2_0.protocol.ArtifactResolve

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:23:38+02:00",
                 comments="JAXB RI v2.3.7")
      public class ArtifactResolve
      extends RequestAbstractType
      implements Serializable

  Java class for ArtifactResolveType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ArtifactResolveType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}RequestAbstractType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}Artifact"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArtifactResolve()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getArtifact()` Gets the value of the artifact property.
    `void` | `setArtifact(String value)` Sets the value of the artifact property.

    - ### Methods inherited from class oasis.names.tc.saml._2_0.protocol.RequestAbstractType

      `getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getSignature, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setSignature, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArtifactResolve

          public ArtifactResolve()

  - ### Method Detail

    - #### getArtifact

          public String getArtifact()

      Gets the value of the artifact property.
      Returns:
        possible object is `String`

    - #### setArtifact

          public void setArtifact(String value)

      Sets the value of the artifact property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPHYSICIAN 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.